
#ifndef SERIALIO_INC
#define SERIALIO_INC

//#include <system.h>
#include <stdio.h>
#include "main.h"


#define printf th_printf

enum TERM_COLOUR 
{
	BLACK = 30,
	RED,
	GREEN,
	YELLOW,
	BLUE,
	MAGENTA,
	CYAN,
	WHITE
};


void write_string( char *string);
void write_char(char value);
char get_char(void);
int th_printf(const char *fmt, ... );
int	al_printf(const char *fmt, va_list	args);
void decode_command(void);
signed int get_command(char *command);
void sc_tx_handler(void);
//void sci_toggle(void);

void resetTerm(void); 
void setTermColour(enum TERM_COLOUR colour);

#endif

